export const tools = {
    //根据key值去对象中取对应的值
    dataForKey: function (data: any, key: any) {
        let arr = key.split(".")
        if (arr && arr[0]) {
            for (let i = 0; i < arr.length; i++) {
                if (arr[i] && data[arr[i]]) {
                    data = data[arr[i]]
                } else {
                    return ''
                }
            }
            return data
        }
    },
    //根据key值去设置对象的值
    setDataForKey: function (data: any, key: any, value: any) {
        let arr = key.split(".")
        if (arr && arr[0]) {
            for (let i = 0; i < arr.length; i++) {
                if (!(arr[i] && data[arr[i]])) {
                    data[arr[i]] = {}
                }
                if (value !== undefined) {
                    if (i == arr.length - 1) {
                        data[arr[i]] = value
                    }
                }
                data = data[arr[i]]
            }
        }
    }
}
export default tools

